﻿@page
@model Project_PRN221_1.Pages.Newpost.NewpostModel
@{
}
<style>

    .form-group {
        margin-bottom: 20px;
    }

    .form-label {
        font-weight: bold;
    }

    .form-control {
        width: 100%;
        padding: 10px;
        font-size: 16px;
        border-radius: 5px;
        border: 1px solid #ccc;
    }

    .form-control-file {
        padding: 10px;
        font-size: 16px;
    }

    .btn-primary {
        background-color: #007bff;
        border-color: #007bff;
        color: #fff;
        padding: 10px 20px;
        font-size: 16px;
        border-radius: 5px;
        cursor: pointer;
    }

        .btn-primary:hover {
            background-color: #0056b3;
            border-color: #0056b3;
        }

    .invalid-feedback {
        color: red;
    }
</style>
<div class="container">
    <h1>Add New Post</h1>
    <form asp-page="/newpost/newpost" method="post" enctype="multipart/form-data">
        <div class="form-group">
            <label for="title" class="form-label">Title:</label>
            <input type="text" class="form-control" id="title" name="PostHeader" maxlength="200" placeholder="Enter title (max 200 characters)" title="Maximum 200 characters allowed" required>
        </div>
        <div class="form-group" >
            <label for="category" class="form-label">Category:</label>
            <select class="form-control" id="category" name="CategoryId">
                @foreach (var category in Model.Categories)
                {
                    <option value="@category.CategoryId">@category.CategoryName</option>
                }
            </select>
        </div>
        <!-- Đoạn văn 1 -->
        <div class="form-group">
            <label for="paragraph1" class="form-label">Paragraph 1:</label>
            <textarea class="form-control" id="paragraph1" name="PostGraph1" rows="5" maxlength="1000" placeholder="Enter graph 1 (max 1000 characters)" title="Maximum 1000 characters allowed" required></textarea>
        </div>
        <!-- Hình ảnh 1 -->
        <div class="form-group">
            <label for="image1" class="form-label">Image 1:</label>
            <input type="file" class="form-control-file" id="image1" name="Image1Path" accept="image/*" required>
        </div>

        <div class="form-group">
            <label for="paragraph2" class="form-label">Paragraph 2:</label>
            <textarea class="form-control" id="paragraph2" name="PostGraph2" rows="5" maxlength="1000" placeholder="Enter graph 2 (max 1000 characters)" title="Maximum 1000 characters allowed"></textarea>
        </div>
        <!-- Hình ảnh 2 -->
        <div class="form-group">
            <label for="image2" class="form-label">Image 2:</label>
            <input type="file" class="form-control-file" id="image2" name="Image2Path" accept="image/*" >
        </div>

        <div class="form-group">
            <label for="paragraph3" class="form-label">Paragraph 3:</label>
            <textarea class="form-control" id="paragraph3" name="PostGraph3" rows="5" maxlength="1000" placeholder="Enter graph 3 (max 1000 characters)" title="Maximum 1000 characters allowed"></textarea>
        </div>
        <!-- Hình ảnh 3 -->
        <div class="form-group">
            <label for="image3" class="form-label">Image 3:</label>
            <input type="file" class="form-control-file" id="image3" name="Image3Path" accept="image/*">
        </div>

        <div class="form-group">
            <label for="paragraph4" class="form-label">Paragraph 4:</label>
            <textarea class="form-control" id="paragraph4" name="PostGraph4" rows="5" maxlength="1000" placeholder="Enter graph 4 (max 1000 characters)" title="Maximum 1000 characters allowed"></textarea>
        </div>
        <!-- Hình ảnh 4 -->
        <div class="form-group">
            <label for="image4" class="form-label">Image 4:</label>
            <input type="file" class="form-control-file" id="image4" name="Image4Path" accept="image/*">
        </div>

        <div class="form-group">
            <label for="paragraph5" class="form-label">Paragraph 5:</label>
            <textarea class="form-control" id="paragraph5" name="PostGraph5" rows="5" maxlength="1000" placeholder="Enter graph 5 (max 1000 characters)" title="Maximum 1000 characters allowed"></textarea>
        </div>
        <!-- Hình ảnh 5 -->
        <div class="form-group">
            <label for="image5" class="form-label">Image 5:</label>
            <input type="file" class="form-control-file" id="image5" name="Image5Path" accept="image/*">
        </div>
        <input type="hidden" id="postDate" name="PostDate" value="@DateTime.Now.ToString("yyyy-MM-ddTHH:mm:ss")">
        <input type="hidden" name="UserId" value="@Model.uId" />
        <button type="submit" class="btn btn-primary">Add Post</button>
    </form>
</div>